# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define _name 			gst-plugins-good
%define gst_branch		0.10

%define _prefix			/usr
%define _localstatedir	/var%{_prefix}

Name:           gstreamer-0_10-plugins-good
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
License:        LGPL
Version:        0.10.24
Release:        1002.18
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-good/%{_name}-%{version}.tar.bz2
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(pre):  /usr/bin/gconftool-2
%gconf_schemas_prereq
Requires:       gstreamer-0_10 >= 0.10.32
Requires:       gstreamer-0_10-plugins-base >= 0.10.30
Requires:       %{name}-lang = %{version}
Requires:       gconf2
Requires:       ladspa
Requires:       speex
BuildRequires:  aalib-devel aalib
BuildRequires:  arts-devel
BuildRequires:  cairo-devel
BuildRequires:  esound-devel
BuildRequires:  flac-devel
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.22
BuildRequires:  gconf2-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkdoc
BuildRequires:  hal-devel >= 0.5.6
BuildRequires:  ladspa
BuildRequires:  libavc1394-devel
BuildRequires:  libcaca-devel
BuildRequires:  libdv-devel libdv
BuildRequires:  libiec61883-devel
BuildRequires:  libjack-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpulse-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libshout-devel
BuildRequires:  libsoup-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libv4l-devel
BuildRequires:  wavpack-devel
BuildRequires:  orc-devel >= 0.4.5 orc
BuildRequires:  pcre-devel
BuildRequires:  pyxml
BuildRequires:  sgml-skel
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  libtag-devel libtag1
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
Enhances:       gstreamer-0_10
# Name up to 10.3:
Provides:       gstreamer010-plugins-good = %{version}
Obsoletes:      gstreamer010-plugins-good < %{version}

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package extra
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Enhances:       gstreamer-0_10

%description extra
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package -n gstreamer-0_10-plugin-hal
License:        LGPLv2.1+
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- HAL plugin
Group:          Productivity/Multimedia/Other
# We might need some plugins from the same package
Requires:       %{name}
Supplements:    packageand(%{name}:hal)

%description -n gstreamer-0_10-plugin-hal
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.


%lang_package

%prep
%setup -q -n %{_name}-%{version}
#NOCONFIGURE=1 ./autogen.sh
%{?suse_update_config:%{suse_update_config}}

%build
export LIBPNG_CFLAGS="`pkg-config --cflags libpng`"
export LIBPNG_LIBS="`pkg-config --libs libpng`"
export CFLAGS="$RPM_OPT_FLAGS"
%configure \
    --with-package-name='Packman gstreamer-plugins-good package' \
    --with-package-origin='http://packman.links2linux.de/' \
    --localstatedir=%{_localstatedir} \
    --enable-gtk-doc \
    --enable-dependency-tracking \
    --enable-orc \
    --enable-experimental

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%__rm "%{buildroot}%{_libdir}/gstreamer-%{gst_branch}"/*.la

%find_gconf_schemas

%find_lang "%{_name}-%{gst_branch}"

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%pre -f %{name}.schemas_pre
%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer10Bands.prs
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer3Bands.prs
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstannodex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalpha.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalphacolor.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiofx.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapetag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstauparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautodetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstavi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcacasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcutter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstefence.so
%{_libdir}/gstreamer-%{gst_branch}/libgsteffectv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstequalizer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstesd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflv.so
#%{_libdir}/gstreamer-%{gst_branch}/libgstgamma.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgconfelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom.so
%if %suse_version > 1120
%{_libdir}/gstreamer-%{gst_branch}/libgstjack.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{gst_branch}/libgsticydemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3demux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterleave.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpeg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlevel.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmatroska.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmulaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultifile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultipart.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{gst_branch}/libgstoss4audio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstossaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpng.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpulse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqtdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstreplaygain.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshapewipe.so
%if %suse_version > 1110
%{_libdir}/gstreamer-%{gst_branch}/libgstsouphttpsrc.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstspectrum.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttaglib.so
%{_libdir}/gstreamer-%{gst_branch}/libgstudp.so
#%{_libdir}/gstreamer-%{gst_branch}/libgstvideobalance.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideocrop.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideofilter.so
#%{_libdir}/gstreamer-%{gst_branch}/libgstvideoflip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavpack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4menc.so

%files -n gstreamer-0_10-plugin-hal
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgsthalelements.so

%files extra
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgst1394.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshout2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmpte.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobox.so
# experimental
%{_libdir}/gstreamer-%{gst_branch}/libgstmonoscope.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux2.so

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-good-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%changelog
* Fri Jan 28 2011 tittiatcoke@gmail.com
- Update to 0.10.27 "Some kind of Temporal Blend"
  * videmux: add workaround for buggy list size; extract datetime tags
  * cacasink: fix masks and strides
  * deinterlace: change the default to linear
  * deinterlace: avoid infinite loop draining
  * deinterlace: rewrite/fix how neighboring scan lines are calculated
  * flvdemux: use aac codec-data to adjust samplerate if needed
  * flvmux: Fix for nellymoser codecid setting
  * icydemux: Add 'StreamUrl' metadata as GST_TAG_HOMEPAGE tag
  * id3demux: fix parsing of ID3v2.4 genre frames with multiple genres
  * imagefreeze: pass along eos if received before buffer arrives
  * jpegdec: add "max-errors" property to ignore decoding errors
  * jpegdec: avoid infinite loop when resyncing; discard incomplete image
  * matroskademux: add stream-format and alignment properties for h264
  * matroskademux: assume matroska if no doctype is specified
  * matroskademux: increase allowed max. block size for push mode from 10M to 15M
  * matroskademux: normalize empty Cues to no Cues
  * matroskamux: add support for DTS and E-AC3 audio
  * matroskamux: try to write timestamps in all the outgoing buffers
  * multifilesink: send stream headers in key-frame mode
  * multiudpsink: add buffer-size property
  * navseek: add basic support to change playback rate
  * pulsemixer: Implement MIXER_FLAG_AUTO_NOTIFICATIONS
  * pulsesink: flush remaining buffered samples on EOS
  * pulsesink: make corking during pause synchronous; don't uncork in _start
  * pulsesink: Uncork stream while flushing the ringbuffer
  * pulsesrc: add "client" property
  * qtdemux: add support for fragmented mp4
  * qtdemux: add support for (E)AC-3, WMA and VC-1 audio
  * qtdemux: allow pulling atoms with unknown size
  * qtdemux: fix flow return aggregation and handling of near end-of-file corner cases
  * qtdemux: parse and use creation time tag from mvhd
  * rtpbin: copy buffering stats
  * rtpbin: correctly calculate RTCP packet size
  * rtp: fix rank of payloaders and depayloaders
  * rtp: flush state on flush-stop for seek handling for many (de)payloaders
  * rtp ac3pay: add AC3 payloader
  * rtp h264depay: determine output h264 layout using caps negotiation
  * rtp h264pay: implement full bytestream scan mode
  * rtp j2kdepay: add support for buffer lists; make depayloader more resilient
  * rtp j2kpay: use buffer lists for better performance
  * rtp j2kpay: handle EOC correctly; stop scanning when we reached the end
  * rtp j2kpay: use SOP markers to split bitstream
  * rtp jitterbuffer: provide a clock; get better buffering level
  * rtp jpegdepay: fix framerate parsing for locales that use a comma as floating point
  * rtp mp4adepay: improve timestamps on outgoing packets
  * rtpsession: also emit RTCP activity on SR
  * rtpsession: remember last sent RB values
  * rtspsrc: add and use auto buffering mode
  * rtspsrc: degrade gracefully upon failing seek and tweak QUERY_SEEKING response
  * rtspsrc: include range request for all streams with non-aggregate control
  * rtspsrc: increase udp buffer size
  * rtspsrc: reset session manager base time when flushing
  * rtspsrc: select multicast transports in a smarter way
  * souphttpsrc: don't send seeks behind the end of file to the server
  * v4l2sink: add navigation support; properties to control crop
  * vrawdepay: fix length check
  * wavparse: detect DTS advertised as PCM correctly in some more cases
  * ximagesrc: change from XGetImage to XGetSubImage dependant on a property
* Mon Aug  2 2010 toni@links2linux.de
- update to 0.10.30 "Taking Liberties"
  * Use Orc (Optimized Inner Loops Runtime Compiler) for SIMD and other optimisations, and remove liboil dependency. The main goal for this release was to make the transition from liboil to liborc. Performance improvements should not be expected and will be the focus of future versions. liborc is an optional dependency for the time being, to make it possible to test and develop the very latest GStreamer versions on systems that don't have orc yet. However, without orc slow unoptimised backup code will be used for many performance critical code paths. Distributors are urged to package and ship the latest version of liborc and compile GStreamer modules with --enable-orc. Please do not distribute GStreamer packages that are not orc enabled. More information on the orc integration can be found in the docs/design/ directory.
  * alpha: add "prefer-passthrough" property to allow passthrough mode
  * avidemux: improve audio vbr detection
  * cmmlenc: Remove hack to let oggmux start a new page for every CMML buffer
  * deinterlace: add mmx implementations of greedyh for UYVY; orcify some deinterlacing methods
  * dv1394: fix the internal clock even more
  * flvmux: add "streamable" property
  * flvmux: write duration at the correct position
  * gdkpixbuf: Add a gdkpixbuf3 plugin that uses gdkpixbuf3
  * jpegdec: improved parsing, and better buffer handling that minimises memcpys
  * jpegdec, jpegenc: add grayscale support
  * matroskademux: QoS fixes and improvements; reverse playback improvements
  * matroskademux: handle zero-sized numbers correctly
  * matroskamux: add "streamable" property; set streamheaders on output caps
  * matroskamux: try harder to make sure clusters start with a key frame
  * matroskamux: mark output buffers properly as keyframe or delta unit
  * matroskamux: do some write caching to avoid newsegment events before each output buffer
  * matroskamux: fix some timestamp drift caused by rounding errors
  * pngenc: Support 8 bit grayscale
  * pulsesink: optimize communication with PulseAudio using pa_stream_begin_write
  * pulsesink: Post provide-clock message on the bus if the clock appears/disappears
  * rtph264depay: consider SPS, PPS and IDR as keyframe, all others as DELTA_UNIT
  * rtph264pay: handle short startcodes in the h264 bytestream
  * rtpjitterbuffer: stop buffering and emit EOS at the end of a stream
  * rtpmparobustdepay: add mpa-robust depayloader
  * rtpmp4gdepay: calculate the frame duration correctly
  * rtptheorapay: keep announcing the delivery-method in the capabilities, restores compatibility with older farsight versions again
  * rtspsrc: respect aggregate control attributes; try all ranges from the sdp
  * spectrum: support 24-bit width and arbitrary bit depth
  * udp: make url parsing compatible with VLC syntax
  * udpsrc: fix multicast support on windows
  * v4l2sink: destroy buffer pool when changing state to NULL
  * videobox: fix negotiation for I420/YV12
  * videomixer: don't mix input with different pixel aspect ratios; negotiation fixes
  * wavparse: proper closing segment construction when doing non-flushing seeks
  * wavparse: use typefind functions to check if PCM data contains dts stream
* Thu Apr 29 2010 toni@links2linux.de
- update to 0.10.22 "Square One"
  * alpha: add support for different color matrixes
  * alpha: add support for generating ARGB output
  * alpha: add support for ARGB, RGB and xRGB input
  * alphacolor: support inplace and on-the-fly conversions from AYUV to ARGB
  * alphacolor: Implement color-matrix support and use integer arithmetic only
  * videobox: add support for most common RGB(A), (A)YUV, and grayscale formats
  * videobox: add support for on-the-fly conversions for some formats
  * videobox: add support for filling the background with red, yellow and white
  * videobox: add support for YV12, including conversion support for I420/AYUV
  * videomixer: add support for ABGR and RGBA
  * shapewipe: add support for the remaining ARGB formats
  * qtdemux, matroska: export h.264 profile and level in caps
  * multifilesink: Add key-frame option to next-file
  * directsoundsink: Implement SPDIF support for AC3
  * h264depay: handle STAPs properly
  * speexdec: adapt to new oggdemux
  * flvdemux: mark delta frames properly
  * flvdemux: improve index building and scaning in pull mode
  * flvdemux: add support for backwards playback (when operating in pull mode)
  * avidemux: fix offset handling in push mode seeking
  * matroskademux: prefer index of video track to perform seeking
  * matroskademux: add support for backwards playback (when operating in pull mode)
  * matroskademux: push correctly sized flac header buffers
  * matroskademux: restrict resyncing to subtitle tracks
  * rtpsession: Make it possible to favor new sources in case of SSRC conflict
  * rtspsrc: send keep alive when paused
  * rtspsrc: handle ipv6 listening ports when needed
  * rtspsrc: require a destination for multicast
  * rtspsrc: parse connection information
  * qtdemux: Set stream-format=raw on AAC caps
  * qtdemux: add XMP parsing support
  * qtdemux: Read replaygain peak/gain tags
  * qtdemux: extract stream language in more cases
  * id3demux: fix parsing of unsynced frames with data length indicator
  * jpegdec: don't crash if jpeg image contains more than three components
  * ximagesrc: send new segment event in TIME format
  * mp4gdepay: improve constantDuration guessing
  * h264pay: fix config-interval property
  * rtspsrc: add property to control the buffering method
  * png: make work with libpng 1.4
* Tue Mar  9 2010 toni@links2linux.de
- update to 0.10.21 "Lemons"
  * Fixes for RTP h263 depayloader timestamping regressions that broke video calls
  * Fixes for FLAC decoder when FLAC is embedded in a container such as Ogg or Matroska
  * rtpsource: bitrate estimation improvements
  * rtspsrc, udp: multicast fixes
  * identical to 0.10.20 but with one commit that broke make check reverted
* Mon Mar  8 2010 toni@links2linux.de
- update to 0.10.19 "Closer to the Edit"
  * shapewipe: moved from -bad to -good
  * avidemux: push mode seeking support
  * avidemux: drop video frames up to the desired keyframe after a seek
  * configure: cross-compilation fixes (use $PKG_CONFIG instead of pkg-config)
  * dvdepay: don't output frames until we have a header, fixes crash
  * flacdec: fix tag extraction in push mode
  * flvdemux: obtain the index from the end of an flv file in push mode
  * flvdemux: audio tags without any content are valid; indexing improvements
  * jpegdec: fix invalid memory access in parser
  * jitterbuffer: new buffering modes: low/high watermark buffering, rtp timestamps
  * matroskademux: seeking/segment fixes (esp. regression with gnonlin)
  * matroskademux: subtitle stream improvements (advance sparse streams in smaller steps)
  * multipartdemux: improve header mime-type parsing
  * qtdemux: fix ALAC codec-data handling; handle signed values in 3GPP location tag
  * qtdemux: fix frame rate cap regression; fix sample durations corner-case
  * qtdemux: Use the correct duration when comparing segments
  * pulsesink: avoid segfault when shutting down
  * pulsesink: return previous mute state if sink is not active at the moment
  * rtpbin: change how NTP time is calculated in RTCP, generating more accurate NTP timestamps if the system clock is synchronised with NTP or similar
  * rtpmp4gdepay: avoid division by 0 in corner case
  * v4l2sink: change rank to NONE so we don't try to autoplug it
  * videomixer: fix timestamping problems for input streams with different lengths
  * videomixer: fix problem when used with gnonlin (always send FLUSH_STOP)
* Thu Feb 11 2010 toni@links2linux.de
- update to 0.10.18 "Short Circuit"
  * v4l2src: implement GstURIHandler interface
  * matroskamux: make index size configurable
  * matroskademux: support push based mode
  * matroskademux: improve stream synchronization
  * flacdec: fix possible hanging in pull mode seeking
  * flacdec: use a single decoder field for both push and pull mode
  * flacenc: optionally add a seek table
  * rtp: add BroadcomVoice payloader and depayloader
  * rtp: add G.723 payloader and depayloader
  * rtph264pay: add option to insert PPS/SPS in streams
  * rtph264depay: optionally merge NALUs into Access Units
  * rtspsrc: add user-id and user-pw properties; fix major memory leak
  * avimux: many fixes, also better compatibility with Windows Media Player
  * avidemux: per-stream index parsing (= much faster startup)
  * qtdemux: progressive download support / seeking in push mode
  * qtdemux: per sample parsing (= much faster start up)
  * wavenc: Post warning if file hasn't been finalised properly
  * videomixer: MMX optimisations and other improvements; implement basic QoS
  * matroska, qtdemux, id3demux: fix language code writing and extraction
* Tue Nov 17 2009 toni@links2linux.de
- removed all tage for openSUSE <= 1030
- update to 0.10.17 "They used to sparkle"
  * RTP improvements
  * Support automatic cropping in videobox
  * Add TTL multicast UDP property
  * AVI demux push mode fixes and performance improvements
  * Support large and unusual chunks sizes in wav
  * Quicktime demuxer improvements
  * JPEG decode fixes and speedups
  * Support interlaced Y4M file output
  * DV demuxer improvements
  * Pulseaudio fixes and improvements
  * Support Pulseaudio PLAY/PAUSE requests
  * speexdec improvements
  * FLV demuxer improvements
  * Fix audio noise in the Equalizer plugin, and other improvements
  * Fix compilation on OS/X Snow Leopard
  * AVI muxer fixes
  * Support MPEG V4L2 devices and improve timestamping
  * Better jpeg2k support
  * Many other bug fixes and improvements
* Sat Oct 24 2009 toni@links2linux.de
- update to 0.10.16
  * Moved rtpmanager from -bad to -good
  * Implement SEEKING query in more demuxers and decoders (notably mkv, flv, flac)
  * avimux: adds support to WMA/WMV
  * cairo: Add cairo-based PDF/PS/SVG encoder element (cairorender)
  * dv1394src: fix element for live usage
  * effectv: new elements: rippletv, streaktv, radioactv, optv
  * flacdec: fix intermittent FLAC__STREAM_DECODER_ABORTED errors when seeking
  * flacenc: fix issue with broken duration / sample count into flac header in some cases
  * flvmux: lots of fixes and improvements
  * id3demux: fix parsing of unsync'ed ID3 v2.4 tags and frames
  * matroska: add kate subtitle support, add/improve WMA/WMV handling and read bluray PGS subpicture streams
  * multipartdemux: support more mime types, do proper flow aggregation
  * pulsesrc: cleanups, report real latency, set the default slave method to skew
  * qtdemux: support for agsm, misc. tag reading fixes
  * rtp: new QDM2 and CELT depayloaders; fix SVQ3 depayloader and make it autopluggable
  * souphttpsrc: Only assume seekability if the server provides Content-Length
  * v4l2: add v4l2sink element, open device in NULL->READY, optional gudev support
  * v4l2src: fix 'hang' with some cameras caused by bad timestamping if no framerate is available
  * videomixer: add RGB format support; fix I420 blending
* Sun May 24 2009 toni@links2linux.de
- update to 0.10.15
  * Some fixes for seeking in wav and FLAC files
  * Faster seeking in Matroska and AVI files
  * RTSP and RTP improvements
  * directdrawsink moved to Bad
  * y4menc and flvmux/flvdemux moved from Bad
  * deinterlace2 moved from Bad, replacing deinterlace
  * Pulseaudio sink completely overhauled
  * Many bug fixes and improvements
* Fri Feb 20 2009 toni@links2linux.de
- update to 0.10.14
- added gconf2 macros from /etc/rpm/macros.gconf2
* Fri Jan 23 2009 toni@links2linux.de
- update to 0.10.13
* Wed Nov 19 2008 toni@links2linux.de
- removed libgstdv.so in gstreamer-0_10-plugins-good (already in extra)
- moved libgstaasink.so to extra (to follow official SuSE package)
* Sun Sep 14 2008 toni@links2linux.de
- removed libgstladspa.so as it is also in plugins-bad
* Fri Sep 12 2008 toni@links2linux.de
- update to 0.10.10
- moved libcdio cddasrc element to ugly (GPL license)
- moved libgstreplaigain.so and libgstinterleave.so from bad
- new plugins libgstpulse.so
- disabled libgsttaglib.so for openSuSE 10.3 (compile error)
- fixed ladspa-plugin
* Mon Apr 28 2008 toni@links2linux.de
- update to 0.10.8
- new plugins libgstgoom2k1.so
- moved libgstsouphttpsrc.so from bad
* Fri Apr 25 2008 toni@links2linux.de
- changed package layout similar to openSuSE-11.0
* Sat Feb 23 2008 toni@links2linux.de
- update to 0.10.7
- new plugins libgstequalizer.so, libgstmultifile.so, libgstspectrum.so
* Thu Dec 13 2007 toni@links2linux.de
- fixed schema install for openSUSE-10.3
* Fri Oct 26 2007 toni@links2linux.de
- added gconf2 to Requires
- enabled --enable-experimental
* Sat Oct  6 2007 toni@links2linux.de
- rebuild with bumped release-number to avoid conflicts with openSUSE-10.3
* Sun Sep  9 2007 toni@links2linux.de
- openSUSE-10.3 build: _prefix=/usr
- corrected %%%%post
* Tue Jun 19 2007 toni@links2linux.de
- update to 0.10.6
- New plugins - audiopanorama, audioinvert, audiodynamic, audioamplify
- qtdemux, videocrop and wavpack elements moved from gstreamer010-plugins-bad
* Wed May 16 2007 toni@links2linux.de
- added libgst1394.so on SuSE-10.2
* Thu Dec 28 2006 toni@links2linux.de
- build SuSE-10.2
- libiec61883 is missing on packman
* Thu Dec 21 2006 toni@links2linux.de
- update to 0.10.5
* Fri Dec  8 2006 toni@links2linux.de
- update to 0.10.4.1
- rebuild with new gstreamer010
* Fri Nov 24 2006 toni@links2linux.de
- build for packman
- Updated to version 0.10.4
- spec-file based on SuSE-spec Tue Jun 20 2006 - sbrabec@suse.cz
